@charset "utf-8";

.search-top > .webgene-blog {
  margin-top: 47px;
  display: grid;
  grid-template-columns: repeat(1, 1fr);
  gap: 30px;
}
@media screen and (min-width: 1024px) {
  .search-top > .webgene-blog {
    grid-template-columns: repeat(3, 1fr);
  }
}

.search-top a {
  width: 100%;
  &:hover .top-list-img img {
    scale: 1.1;
  }
}

.top-list-img {
  aspect-ratio: 380 / 240;
  border-radius: 15px;
  overflow: hidden;
  width: 100%;
  height: auto;
  img {
    object-fit: cover;
    transition: scale 0.5s;
  }
}

.top-lstiTit {
  margin-top: 20px;
  font-size: 16px;
  font-weight: 700;
  letter-spacing: 0.05em;
  line-height: calc(20 / 16);
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 1;
  overflow: hidden;
}

.top-lists {
  margin-top: 20px;
  display: flex;
  gap: 20px;
  align-items: center;
  flex-wrap: wrap;
}
.top-list {
  display: flex;
  gap: 5px;
  align-items: center;
}
.top-list .list-itemHead {
  color: rgba(35, 139, 139, 0.7);
  font-size: 11px;
  font-weight: 700;
  letter-spacing: 0.05em;
  line-height: 1;
  width: fit-content;
}
.top-list p {
  font-size: 13px;
  letter-spacing: 0.05em;
  line-height: 1;
}

.search__wrap {
  display: flex;
  flex-direction: column;
  align-items: start;
  gap: 38px;
  padding: 40px 25px;
  border-radius: 10px;
  border: 1px solid #1B365A;
  background: #fff;
}
@media screen and (min-width: 768px) {
  .search__wrap {
     gap: 40px;
  padding: 60px 40px;
  }
}
@media screen and (min-width: 1024px) {
  .search__wrap {
    flex-direction: row;
    align-items: center;
    gap: 40px;
    padding: 60px 40px;
    max-width: 1073px;
    margin-inline: auto;
  }
}
@media screen and (min-width: 1100px) {
  .search__wrap {
    gap: 87px;
    padding: 60px 80px 60px 60px;
  }
}

.search__head-wrap {
  flex-shrink: 0;
}
@media screen and (min-width: 1024px) {
  .search__head-wrap {
    transform: translateY(-35px);
  }
}
.search__head {
  display: flex;
  align-items: center;
  gap: 14px;
}
.search__head::before {
  content: "";
  background: url('../images/icon-search.svg') center / contain no-repeat;
  width: 26px;
  height: 26px;
}

.webgene-search-form {
  width: 100%;
}

.search-title {
  font-size: 21px;
  font-weight: 500;
  line-height: 30px;
  letter-spacing: 0.06em;
}
@media screen and (min-width: 768px) {
  .search-title {
    font-size: 24px;
  }
}

.webgene-search-form-block:first-of-type {
  padding-bottom: 30px;
  border-bottom: 1px solid #D8D8D8;
  margin-bottom: 30px;
}

.search-contents-wrapper {
  margin-top: 20px;
  display: flex;
  gap: 15px 41px;
  flex-wrap: wrap;
}
.search-contents-wrapper label {
  display: flex;
  gap: 10px;
  margin-bottom: 0;
  font-size: 16px;
  letter-spacing: 0.06em;
  font-weight: 500;
}

.search-submit {
  display: block;
  margin: 30px auto 0;
  padding: 15px 0;
  border-radius: 30px;
  border: 1px solid #238B8B;
  width: 218px;
  background: #238B8B;
  color: #fff;
  font-size: 14px;
  line-height: 1;
  font-weight: 500;
  text-align: center;
  transition: background 0.3s, color 0.3s;
}
.search-submit:hover {
  background: #fff;
  color: #238B8B;
}

.search-list > .webgene-blog {
  display: grid;
  grid-template-columns: repeat(1, 1fr);
  gap: 40px;
}
@media screen and (min-width: 1024px) {
  .search-list > .webgene-blog {
    grid-template-columns: repeat(2, 1fr);
    gap: 50px 58px;
  }
}

.search__box {
  width: 100%;
  height: 100%;
  padding: 42px 20px 37px;
  background: #fff;
  border-radius: 10px;
  display: flex;
  flex-direction: column;
}
@media screen and (min-width: 1100px) {
  .search__box {
    padding: 42px 49px 37px 40px;
  }
}

.list-head {
  display: grid;
  grid-template-columns: repeat(1, 1fr);
  gap: 15px;
  align-items: center;
}
@media screen and (min-width: 768px) {
  .list-head {
    grid-template-columns: 159px 1fr;
    gap: 30px;
  }
}
@media screen and (min-width: 1100px) {
  .list-head {
    grid-template-columns: 216px 1fr;
  }
}

.list-img {
  aspect-ratio: 216 / 191;
  border-radius: 15px;
  overflow: hidden;
  width: 100%;
  height: auto;

  img {
    object-fit: cover;
  }
}

.lstiTit {
  font-size: 18px;
  font-weight: 500;
  letter-spacing: 0.08em;
  line-height: calc(27 / 18);
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 2;
  overflow: hidden;
}
.list-tags {
  margin-top: 10px;
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
}
@media screen and (min-width: 768px) {
  .list-tags {
    margin-top: 18px;
  }
}
.check-item {
  padding: 5px 10px;
  background: #D5EFEF;
  color: #238B8B;
  border-radius: 3px;
  font-size: 11px;
  line-height: 1;
  font-weight: 400;
  letter-spacing: 0;
  width: fit-content;
}

.list-item {
  margin-top: 25px;
  display: flex;
  font-size: 13px;
  letter-spacing: 0.08em;
  font-weight: 400;
  line-height: calc(23.4 / 13);
  padding-bottom: 8px;
  border-bottom: 1px dotted;
}
.list-item + .list-item {
  margin-top: 12px;
}
.list-item:last-of-type {
  margin-bottom: 30px;
}

.list-itemHead {
  width: 80px;
  font-weight: 600;
  flex-shrink: 0;
}
@media screen and (min-width: 1100px) {
  .list-itemHead {
    width: 90px;
  }
}

.list-item p {
  font-weight: 400;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 1;
  overflow: hidden;
  flex-grow: 1;
}

.listLk {
  margin-top: auto;
  color: #fff;
  font-size: 16px;
  letter-spacing: 0.05em;
  padding: 16px;
  background: #238B8B;
  border-radius: 8px;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 20px;
  &::after {
    content: "";
    background: url("../images/arrow-search.svg");
    width: 24px;
    height: 24px;
  }
  &:hover {
    opacity: 0.8;
    color: #fff;
  }
}

.search-list .webgene-pagination {
  margin-top: 0;
}
@media screen and (min-width: 768px) {
  .search-list .webgene-pagination {
    margin-top: 30px;
  }
}


.search__detail .webgene-blog {
  background: #fff;
  border-radius: 10px;
  padding: 60px 25px;
}
@media screen and (min-width: 768px) {
  .search__detail .webgene-blog {
    padding: 80px 40px 100px;
  }
}
@media screen and (min-width: 1100px) {
  .search__detail .webgene-blog {
    padding: 80px 75px 100px;
  }
}

.search-detail__tags {
  margin-top: 20px; 
  display: flex;
  gap: 10px;
  flex-wrap: wrap;
}

.search-detail__title {
  font-size: 18px;
  line-height: 1.5;
  letter-spacing: 0.06em;
  font-weight: 500;
  padding: 0 0 18px 29px;
  border-bottom: 1.5px solid #D0D0D0;
  position: relative;

  &::before {
    content: "";
    position: absolute;
    width: 8px;
    height: 34px;
    left: 0;
    top: 36%;
    transform: translateY(-50%);
    background: #67BCBC;
  }
}
@media screen and (min-width: 1200px) {
  .search-detail__title {
    font-size: 22px;
  }
}

.search-detail__top-wrap {
  margin: 50px 0 60px;
  display: flex;
  flex-direction: column;
  align-items: start;
  gap: 40px;
}
@media screen and (min-width: 900px) {
  .search-detail__top-wrap {
    flex-direction: row;
    justify-content: space-between;
  }
}
@media screen and (min-width: 1100px) {
  .search-detail__top-wrap {
    gap: 60px;
  }
}

.search-detail__top-item {
  flex-grow: 1;
      width: 100%;
}

.search-detail__top-text {
  font-size: 14px;
  letter-spacing: 0.05em;
  line-height: calc(35 / 14);
  margin-bottom: 50px;
}

.search-detail__top-list{
  width:100%;
}
.search-detail__top-list li {
  padding: 10px 0;
  display: flex;
  border-bottom: 1px solid #BFBFBF;
  gap: 20px;
}
@media screen and (min-width: 1024px) {
  .search-detail__top-list li {
    gap: 41px;
  }
}
.search-detail__top-list li:last-of-type:not(:first-of-type) {
  border-bottom: none;
}
.search-detail__top-head {
    padding: 10px 10px 10px 0;
    width: 90px;
  flex-shrink: 0;
  text-align: left;
  font-size: 12px;
  font-weight: 700;
  letter-spacing: 0.05em;
  border-right: 1px solid #BFBFBF;
}
@media screen and (min-width: 768px) {
  .search-detail__top-head {
      padding: 15px;
    width: 107px;
      font-size: 14px;
  }
}
.search-detail__top-body {
  font-size: 12px;
  font-weight: 500;
  letter-spacing: 0.08em;
  line-height: calc(28 / 14);
  display: flex;
  align-items: center;
  flex-grow: 1;
}
@media screen and (min-width: 768px) {
 .search-detail__top-body {
      font-size: 14px;
  }
}

.search-detail__btn {
  display: block;
  margin: 80px auto 0;
  width: 218px;
  background: #238B8B;
  border: 1px solid #238B8B;
  border-radius: 100px;
  padding: 17px;
  color: #fff;
  text-align: center;
  font-size: 14px;
  font-weight: 500;
  letter-spacing: 0;
  line-height: 1;
  &:hover {
    color: #238B8B;
    background: #fff;
  }
}

.container-fluid {
  padding: 0;
  width: min(100%, 550px);
}
@media screen and (min-width: 900px) {
 .container-fluid {
  width: auto;
}
}

.sliderImgBx {
  position: relative;
  aspect-ratio: 600 / 600;
  border-radius: 10px;
  overflow: hidden;
  max-width: 500px;
  margin: 0 auto;
}

.sliderImgBx > img {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  bottom: 0;
  right: 0;
  left: 0;
  margin: auto;
  object-fit: cover;
}

.indicatorImgBx {
  position: relative;
  aspect-ratio: 158 / 110;
  height: auto;
  border-radius: 10px;
  overflow: hidden;
  transition: opacity 0.3s;
  &:hover {
    cursor: pointer;
    opacity: 0.8;
  }
}

.indicatorImgBx > img {
  position: absolute;
  width: auto;
  height: auto;
  width: 100%;
  height: 100%;
  top: 0;
  bottom: 0;
  right: 0;
  left: 0;
  margin: auto;
  object-fit: cover;
}

.worksIndicators {
  position: static;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 18px;
  margin: 0;
  padding: 15px 0 0;
}
@media screen and (min-width: 1100px) {
  .worksIndicators {
  grid-template-columns: repeat(3, 1fr);
  }
}

.propertySlider > .carousel-inner {
  width: min(100%, 510px);
     margin: 0 auto; 
}
@media screen and (min-width: 768px) {
.propertySlider > .carousel-inner {
 width: clamp(300px, calc(350 / 1366 * 100vw), 350px);
}
}
@media screen and (min-width: 1100px) {
  .propertySlider > .carousel-inner {
    width: min(calc(510 / 1366 * 100vw), 510px);
  }
}

